glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Protected Member Functions

# Glib::ValueBase_Enum Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_Enum:
[legend]

List of all members.

## Public Types
typedef gint | CType
## Static Public Member Functions
static GType | value_type ()
## Protected Member Functions
void | set_enum (int data)
int | get_enum () const

## Member Typedef Documentation

typedef gint Glib::ValueBase_Enum::CType

## Member Function Documentation

int Glib::ValueBase_Enum::get_enum | ( |  | ) | const`[protected]`

void Glib::ValueBase_Enum::set_enum | ( | int | data | ) | `[protected]`

static GType Glib::ValueBase_Enum::value_type | ( |  | ) | `[static]`